Debian Bug report logs - #181493
glibc: Sun RPC code is non-free

Package: glibc; Maintainer for glibc is (unknown);

Reported by: "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>

Date: Wed, 4 Dec 2002 05:48:01 UTC

Severity: serious

Tags: sarge, sid, woody

Done: Anthony Towns <ajt@master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org:
Bug#171659; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to "Brian M. Carlson" <karlsson@hal-pc.org>:
New Bug report received and forwarded. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Brian M. Carlson" <karlsson@hal-pc.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: glibc: contains non-free docs and perhaps non-free code
Date: Wed, 4 Dec 2002 05:45:09 +0000
[Message part 1 (text/plain, inline)]
Package: glibc
Version: unavailable; reported 2002-12-04
Severity: serious
Justification: Policy 2.1.1, 2.1.2

debian-legal has recently decided that the GNU Free Documentation
License is non-free. Therefore, at least libc.info* must be removed from
the package. Additionally, the copyright file contains the following:

   * The code to support Sun RPC is taken verbatim from Sun's
     RPCSRC-4.0 distribution, and is covered by this copyright:

               Copyright (C) 1984, Sun Microsystems, Inc.

          Sun RPC is a product of Sun Microsystems, Inc. and is
          provided for unrestricted use provided that this legend is
          included on all tape media and as a part of the software
          program in whole or part.  Users may copy or modify Sun RPC
          without charge, but are not authorized to license or
          distribute it to anyone else except as part of a product or
          program developed by the user.

The license places restrictions on distribution as an independent work,
failing DFSG 1. It also fails DFSG 3 because it prohibits distribution
of modifications of the original work as modifications (as opposed to a
new project).

          SUN RPC IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND
          INCLUDING THE WARRANTIES OF DESIGN, MERCHANTIBILITY AND
          FITNESS FOR A PARTICULAR PURPOSE, OR ARISING FROM A COURSE OF
          DEALING, USAGE OR TRADE PRACTICE.

          Sun RPC is provided with no support and without any
          obligation on the part of Sun Microsystems, Inc. to assist in
          its use, correction, modification or enhancement.
		  
          SUN MICROSYSTEMS, INC. SHALL HAVE NO LIABILITY WITH RESPECT
          TO THE INFRINGEMENT OF COPYRIGHTS, TRADE SECRETS OR ANY
          PATENTS BY SUN RPC OR ANY PART THEREOF.

          In no event will Sun Microsystems, Inc. be liable for any
          lost revenue or profits or other special, indirect and
          consequential damages, even if Sun has been advised of the
          possibility of such damages.

               Sun Microsystems, Inc.
               2550 Garcia Avenue
               Mountain View, California  94043



-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux stonewall 2.4.19ck #1 Wed Nov 13 04:03:59 UTC 2002 i686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8


-- 
Brian M. Carlson <sandals@crustytoothpaste.ath.cx> 0x560553e7
"Let us think the unthinkable, let us do the undoable. Let us prepare
 to grapple with the ineffable itself, and see if we may not eff it
 after all." --Douglas Adams
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org:
Bug#171659; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 171659@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: "Brian M. Carlson" <karlsson@hal-pc.org>, 171659@bugs.debian.org
Subject: Re: Bug#171659: glibc: contains non-free docs and perhaps non-free code
Date: Wed, 4 Dec 2002 06:43:08 -0600
On Wed, Dec 04, 2002 at 05:45:09AM +0000, Brian M. Carlson wrote:
> Package: glibc
> Version: unavailable; reported 2002-12-04
> Severity: serious
> Justification: Policy 2.1.1, 2.1.2
> 
> debian-legal has recently decided that the GNU Free Documentation
> License is non-free. Therefore, at least libc.info* must be removed from
> the package.

Despite its coverage in DWN, I don't think that the discussion has
reached anywhere near the level of conclusiveness to merit the filing of
serious bugs yet. As far as I can see, all that happened was that Walter
Landry decided that it contained a non-free clause ("may not use
technical measures to obstruct or control ..."), and nobody disagreed
right away. Personally I cannot see how that clause can be read as a use
restriction (it explicitly talks about "the copies you make or
distribute"), and I don't think the clause mentioned is qualitatively
different from the GPL's restrictions on distribution.

-- 
Colin Watson                                  [cjwatson@flatline.org.uk]



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org:
Bug#171659; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 171659@bugs.debian.org (full text, mbox):

From: "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>
To: Colin Watson <cjwatson@debian.org>
Cc: "Brian M. Carlson" <karlsson@hal-pc.org>, 171659@bugs.debian.org
Subject: Re: Bug#171659: glibc: contains non-free docs and perhaps non-free code
Date: Wed, 4 Dec 2002 18:03:36 +0000
[Message part 1 (text/plain, inline)]
On Wed, Dec 04, 2002 at 06:43:08AM -0600, Colin Watson wrote:
> On Wed, Dec 04, 2002 at 05:45:09AM +0000, Brian M. Carlson wrote:
> > Package: glibc
> > Version: unavailable; reported 2002-12-04
> > Severity: serious
> > Justification: Policy 2.1.1, 2.1.2
> > 
> > debian-legal has recently decided that the GNU Free Documentation
> > License is non-free. Therefore, at least libc.info* must be removed from
> > the package.
> 
> Despite its coverage in DWN, I don't think that the discussion has
> reached anywhere near the level of conclusiveness to merit the filing of
> serious bugs yet. As far as I can see, all that happened was that Walter
> Landry decided that it contained a non-free clause ("may not use
> technical measures to obstruct or control ..."), and nobody disagreed
> right away. Personally I cannot see how that clause can be read as a use
> restriction (it explicitly talks about "the copies you make or
> distribute"), and I don't think the clause mentioned is qualitatively
> different from the GPL's restrictions on distribution.

I don't read DWN (at least not very often). Also, IIRC, Branden Robinson agreed,
and I also concur (although I am not a DD). The section 4K also makes it
non-free in addition because you may not substantially alter the Ode to My
Goldfish. :-) Also, if the History section contains anything but the
normal changelog, then the license is also non-free. It is begging to be
abused.

In addition, there is the point of the Sun RPC code, which is totally
unrelated and would, on its face, merit filing a serious bug anyway.

-- 
Brian M. Carlson <sandals@crustytoothpaste.ath.cx> 0x560553e7
"Let us think the unthinkable, let us do the undoable. Let us prepare
 to grapple with the ineffable itself, and see if we may not eff it
 after all." --Douglas Adams
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org:
Bug#171659; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Jeff Bailey <jbailey@nisa.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 171659@bugs.debian.org (full text, mbox):

From: Jeff Bailey <jbailey@nisa.net>
To: "Brian M. Carlson" <karlsson@hal-pc.org>, 171659@bugs.debian.org
Subject: Re: Bug#171659: glibc: contains non-free docs and perhaps non-free code
Date: 05 Dec 2002 08:45:21 -0500
[Message part 1 (text/plain, inline)]
On Wed, 2002-12-04 at 00:45, Brian M. Carlson wrote:
> Package: glibc
> Version: unavailable; reported 2002-12-04
> Severity: serious
> Justification: Policy 2.1.1, 2.1.2
> 
> debian-legal has recently decided that the GNU Free Documentation
> License is non-free. Therefore, at least libc.info* must be removed from
> the package. Additionally, the copyright file contains the following:
> 
>    * The code to support Sun RPC is taken verbatim from Sun's
>      RPCSRC-4.0 distribution, and is covered by this copyright:

I'm talking with upstream about this.

In future, please don't file multiple issues in one bug - The GFDL issue
is very different that the SunRPC license issue.  (And even if there was
no big difference, one fix could not resolve both problems)

Tks,
Jeff Bailey

-- 
When you get to the heart,
use a knife and fork.
 - From instructions on how to eat an artichoke.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org:
Bug#171659; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to GOTO Masanori <gotom@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 171659@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.or.jp>
To: Jeff Bailey <jbailey@nisa.net>, 171659@bugs.debian.org
Cc: "Brian M. Carlson" <karlsson@hal-pc.org>
Subject: Re: Bug#171659: glibc: contains non-free docs and perhaps non-free code
Date: Fri, 20 Dec 2002 09:31:42 +0900
At 05 Dec 2002 08:45:21 -0500,
Jeff Bailey wrote:
> On Wed, 2002-12-04 at 00:45, Brian M. Carlson wrote:
> > Package: glibc
> > Version: unavailable; reported 2002-12-04
> > Severity: serious
> > Justification: Policy 2.1.1, 2.1.2
> > 
> > debian-legal has recently decided that the GNU Free Documentation
> > License is non-free. Therefore, at least libc.info* must be removed from
> > the package. Additionally, the copyright file contains the following:
> > 
> >    * The code to support Sun RPC is taken verbatim from Sun's
> >      RPCSRC-4.0 distribution, and is covered by this copyright:
> 
> I'm talking with upstream about this.

What the current status is this ?

-- gotom



Tags added: woody Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sarge Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sid Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org:
Bug#171659; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org. Full text and rfc822 format available.

Message #36 received at 171659@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: 171659@bugs.debian.org, 171659-submitter@bugs.debian.org
Subject: status of this bug report ?
Date: Wed, 29 Jan 2003 15:09:53 +0900
Hi,

I've been looking at this bug report, but the SunRPC code 
seems to restrict only the redistribution of modified work 
as SunRPC itself, and does not restrict redistribution as 
glibc, and I would have thought that shouldn't be a problem.

This bug seems to have stagnated, what is going on with this bug ?



regards,
	junichi



Message sent on to "Brian M. Carlson" <karlsson@hal-pc.org>:
Bug#171659. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org:
Bug#171659; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Jeff Bailey <jbailey@nisa.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org. Full text and rfc822 format available.

Message #44 received at 171659@bugs.debian.org (full text, mbox):

From: Jeff Bailey <jbailey@nisa.net>
To: Junichi Uekawa <dancer@netfort.gr.jp>, 171659@bugs.debian.org
Cc: 171659-submitter@bugs.debian.org
Subject: Re: Bug#171659: status of this bug report ?
Date: Wed, 29 Jan 2003 05:38:38 -0800
On Wed, Jan 29, 2003 at 03:09:53PM +0900, Junichi Uekawa wrote:

> I've been looking at this bug report, but the SunRPC code 
> seems to restrict only the redistribution of modified work 
> as SunRPC itself, and does not restrict redistribution as 
> glibc, and I would have thought that shouldn't be a problem.

> This bug seems to have stagnated, what is going on with this bug ?

As I noted in
http://lists.debian.org/debian-glibc/2003/debian-glibc-200301/msg00291.html

this is on my list of things to hack on in March.  Interested parties
are welcome to take this off of my hands before then. =)

I'm only considering this bug for the SunRPC stuff.  I will retitle it
soon to that effect.  If people want to consider other non-Free things
in glibc, they need to file separate bugs.

Tks,
Jeff Bailey




Message sent on to "Brian M. Carlson" <karlsson@hal-pc.org>:
Bug#171659. Full text and rfc822 format available.

Changed Bug title. Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Bug 171659 cloned as bugs 181493, 181494. Request was from Guido Guenther <agx@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important'. Request was from Guido Guenther <agx@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `serious'. Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: woody Request was from Eric <eric@gnustep.fr.st> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sarge Request was from Eric <eric@gnustep.fr.st> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sid Request was from Eric <eric@gnustep.fr.st> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #66 received at 181493@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: 181493@bugs.debian.org
Subject: Status report? It's well after March.
Date: Sun, 03 Aug 2003 11:10:54 -0400
Status report on this bug, perhaps?  It's well after March.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Anthony Towns <aj@azure.humbug.org.au>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #71 received at 181493@bugs.debian.org (full text, mbox):

From: Anthony Towns <aj@azure.humbug.org.au>
To: 181493@bugs.debian.org
Subject: Sun RPC License is DFSG-free
Date: Mon, 18 Aug 2003 02:28:48 +1000
This bug should be closed.




Reply sent to GOTO Masanori <gotom@debian.or.jp>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Brian M. Carlson" <karlsson@hal-pc.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #76 received at 181493-done@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.or.jp>
To: Anthony Towns <aj@azure.humbug.org.au>, 181493-done@bugs.debian.org
Subject: Re: Bug#181493: Sun RPC License is DFSG-free
Date: Mon, 18 Aug 2003 10:34:55 +0900
At Mon, 18 Aug 2003 02:28:48 +1000,
Anthony Towns wrote:
> This bug should be closed.

OK, I've closed now.

Regards,
-- gotom



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #81 received at 181493@bugs.debian.org (full text, mbox):

From: "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>
To: 181493@bugs.debian.org, Debian BTS Control Daemon <control@bugs.debian.org>, debian-legal@lists.debian.org
Subject: Is the Sun RPC License DFSG-free?
Date: Fri, 22 Aug 2003 06:39:47 +0000
[Message part 1 (text/plain, inline)]
reopen 181493 !
thanks

For the debian-legal people, this is the controversy at hand:

Sun RPC code is included as part of glibc. The license, which is
included below, prohibits distribution of the original code under its
original terms, which would make the license non-free. Including
non-free code into otherwise free code does not make the code free, IMO.


		Copyright (C) 1984, Sun Microsystems, Inc.

          Sun RPC is a product of Sun Microsystems, Inc. and is
          provided for unrestricted use provided that this legend is
          included on all tape media and as a part of the software
          program in whole or part.  Users may copy or modify Sun RPC
          without charge, but are not authorized to license or
          distribute it to anyone else except as part of a product or
          program developed by the user.

          SUN RPC IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND
          INCLUDING THE WARRANTIES OF DESIGN, MERCHANTIBILITY AND
          FITNESS FOR A PARTICULAR PURPOSE, OR ARISING FROM A COURSE OF
          DEALING, USAGE OR TRADE PRACTICE.

          Sun RPC is provided with no support and without any
          obligation on the part of Sun Microsystems, Inc. to assist in
          its use, correction, modification or enhancement.

          SUN MICROSYSTEMS, INC. SHALL HAVE NO LIABILITY WITH RESPECT
          TO THE INFRINGEMENT OF COPYRIGHTS, TRADE SECRETS OR ANY
          PATENTS BY SUN RPC OR ANY PART THEREOF.

          In no event will Sun Microsystems, Inc. be liable for any
          lost revenue or profits or other special, indirect and
          consequential damages, even if Sun has been advised of the
          possibility of such damages.


I'd like an opinion. M-F-T is set appropriately.


On Sun, Aug 17, 2003 at 08:48:04PM -0500, Debian Bug Tracking System wrote:
> This is an automatic notification regarding your Bug report
> #181493: glibc: Sun RPC code is non-free,
> which was filed against the glibc package.
> 
> It has been closed by one of the developers, namely
> GOTO Masanori <gotom@debian.or.jp>.
> 
> Their explanation is attached below.  If this explanation is
> unsatisfactory and you have not received a better one in a separate
> message then please contact the developer, by replying to this email.

This explanation is unsatisfactory. I think that the Sun RPC code is
non-free, and I want an opinion from debian-legal.

> At Mon, 18 Aug 2003 02:28:48 +1000,
> Anthony Towns wrote:
> > This bug should be closed.
> 
> OK, I've closed now.
> 
> Regards,
> -- gotom

-- 
Brian M. Carlson <sandals@crustytoothpaste.ath.cx> 0x560553e7
"Let us think the unthinkable, let us do the undoable. Let us prepare
 to grapple with the ineffable itself, and see if we may not eff it
 after all." --Douglas Adams
[Message part 2 (application/pgp-signature, inline)]

Bug reopened, originator set to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>. Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Andrew Suffield <asuffield@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #88 received at 181493@bugs.debian.org (full text, mbox):

From: Andrew Suffield <asuffield@debian.org>
To: debian-legal@lists.debian.org
Cc: 181493@bugs.debian.org
Subject: Re: Is the Sun RPC License DFSG-free?
Date: Fri, 22 Aug 2003 08:53:46 +0100
[Message part 1 (text/plain, inline)]
On Fri, Aug 22, 2003 at 06:39:47AM +0000, Brian M. Carlson wrote:
>           Sun RPC is a product of Sun Microsystems, Inc. and is
>           provided for unrestricted use provided that this legend is
>           included on all tape media and as a part of the software
            ^^^^^^^^^^^^^^^^^^^^^^^^^^

That seems worse than the advertising clause.

>           program in whole or part.  Users may copy or modify Sun RPC
>           without charge, but are not authorized to license or
>           distribute it to anyone else except as part of a product or
>           program developed by the user.

Isn't this whole thing incompatible with the (L)GPL anyway? The code
in question has been highly modified and integrated into the glibc
source tree, presumably with the modifications under the LGPL, so the
library exclusion clause in the LGPL does not apply. Which brings us
back to clause 10 of the LGPL (6 of the GPL), which prohibits
additional restrictions.

-- 
  .''`.  ** Debian GNU/Linux ** | Andrew Suffield
 : :' :  http://www.debian.org/ |
 `. `'                          |
   `-             -><-          |
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fw@deneb.enyo.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #93 received at 181493@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: debian-legal@lists.debian.org
Cc: 181493@bugs.debian.org
Subject: Re: Is the Sun RPC License DFSG-free?
Date: Fri, 22 Aug 2003 13:00:55 +0200
Andrew Suffield <asuffield@debian.org> writes:

> On Fri, Aug 22, 2003 at 06:39:47AM +0000, Brian M. Carlson wrote:
>>           Sun RPC is a product of Sun Microsystems, Inc. and is
>>           provided for unrestricted use provided that this legend is
>>           included on all tape media and as a part of the software
>             ^^^^^^^^^^^^^^^^^^^^^^^^^^
>
> That seems worse than the advertising clause.

I'm not sure if they actually want you to print the notice on the
cartridge.  But the license doesn't permit non-developers (mirror
admins, for example) to distribute the code.

Has anybody asked Sun for a clarification of the license, or tried to
obtain the code under a different license?  Or maybe the FSF has
obtained a suitable license and just forgot to update the copyright
notice?



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to bts@alum.mit.edu (Brian T. Sniffen):
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #98 received at 181493@bugs.debian.org (full text, mbox):

From: bts@alum.mit.edu (Brian T. Sniffen)
To: debian-legal@lists.debian.org
Cc: 181493@bugs.debian.org
Subject: Re: Is the Sun RPC License DFSG-free?
Date: Fri, 22 Aug 2003 14:05:57 -0400
Florian Weimer <fw@deneb.enyo.de> writes:

> Andrew Suffield <asuffield@debian.org> writes:
>
>> On Fri, Aug 22, 2003 at 06:39:47AM +0000, Brian M. Carlson wrote:
>>>           Sun RPC is a product of Sun Microsystems, Inc. and is
>>>           provided for unrestricted use provided that this legend is
>>>           included on all tape media and as a part of the software
>>             ^^^^^^^^^^^^^^^^^^^^^^^^^^
>>
>> That seems worse than the advertising clause.
>
> I'm not sure if they actually want you to print the notice on the
> cartridge.  But the license doesn't permit non-developers (mirror
> admins, for example) to distribute the code.
>
> Has anybody asked Sun for a clarification of the license, or tried to
> obtain the code under a different license?  Or maybe the FSF has
> obtained a suitable license and just forgot to update the copyright
> notice?

Sun has repeatedly clarified elsewhere that the intent of this is
essentially "MIT/X11, except you may not distribute this product
alone."

-Brian

-- 
Brian T. Sniffen                                        bts@alum.mit.edu
                       http://www.evenmere.org/~bts/




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #103 received at 181493@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: debian-legal@lists.debian.org
Cc: 181493@bugs.debian.org
Subject: Re: Is the Sun RPC License DFSG-free?
Date: Fri, 22 Aug 2003 11:12:38 -0700
[Message part 1 (text/plain, inline)]
On Fri, 22 Aug 2003, Brian M. Carlson wrote:
> 		Copyright (C) 1984, Sun Microsystems, Inc.
> 
>           Users may copy or modify Sun RPC without charge, but are
>	    not authorized to license or distribute it to anyone else
>	    except as part of a product or program developed by the
>	    user.

I'm personally concerned about this particular phrase, as it seems to
preclude Debian from distributing software with Sun RPC in it unless
Debian itself is developing the product or program using Sun RPC.

This in effect, violates DFSG #7 and #1, as evidenced below: 

A distributes a program developed by A based on Sun RPC to B.

B cannot turn around distribute the program to C unless they repackage
it as a product or program developed by B.

B does not have the same rights to distribute Sun RPC as A does. (#7)
Nor, in fact, can B distribute Sun RPC without repackaging it (#1).

I'd hope that Sun meant something else by this clause, or that it's
been cleaned up, but I'm not totally certain about it.


Don Armstrong

-- 
She was alot like starbucks.
IE, generic and expensive.
 -- hugh macleod http://www.gapingvoid.com/batch3.htm

http://www.donarmstrong.com
http://www.anylevel.com
http://rzlab.ucr.edu
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Jeff Bailey <jbailey@nisa.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #108 received at 181493@bugs.debian.org (full text, mbox):

From: Jeff Bailey <jbailey@nisa.net>
To: "Brian T. Sniffen" <bts@alum.mit.edu>, 181493@bugs.debian.org
Cc: debian-legal@lists.debian.org
Subject: Re: Bug#181493: Is the Sun RPC License DFSG-free?
Date: Fri, 22 Aug 2003 11:39:51 -0700
On Fri, Aug 22, 2003 at 02:05:57PM -0400, Brian T. Sniffen wrote:

> > Has anybody asked Sun for a clarification of the license, or tried to
> > obtain the code under a different license?  Or maybe the FSF has
> > obtained a suitable license and just forgot to update the copyright
> > notice?

> Sun has repeatedly clarified elsewhere that the intent of this is
> essentially "MIT/X11, except you may not distribute this product
> alone."

We also have essentially the same license with ttf-bitstream-vera.  I'd
like to close this bug, but haven't had the time to make sure that I
have solid arguments as to why to do so.

Assistance putting enough of a case together for that would be
appreciated (and we can include it in the copyright file for future
reference)

Tks,
Jeff Bailey

-- 
Breathe into my hands, I'll cup them like a glass to drink from...
 - Tattle Tale



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #113 received at 181493@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: debian-legal@lists.debian.org
Cc: 181493@bugs.debian.org
Subject: Re: Is the Sun RPC License DFSG-free?
Date: Fri, 22 Aug 2003 16:28:24 -0500
[Message part 1 (text/plain, inline)]
On Fri, Aug 22, 2003 at 06:39:47AM +0000, Brian M. Carlson wrote:
> 		Copyright (C) 1984, Sun Microsystems, Inc.
> 
>           Sun RPC is a product of Sun Microsystems, Inc. and is
>           provided for unrestricted use provided that this legend is
>           included on all tape media and as a part of the software
>           program in whole or part. 

Uh, *all* tape media?  Is that all tape media in the world, including
that which I don't own?  If it's the tape media I own, do I have to put
this "legend" even on tape media that do not contain anything
copyrighted by Sun Microsystems?

I *assume* that this restriction is not meant to be construed more
broadly than copyright law will permit.  If it is meant to impact things
that have nothing to do with the code, then this flagrantly violates
DFSG 9.

Furthermore, does "on all tape media" mean physically marked on the tape
cartridge, or merely present electromagnetically, probably encoded as
data?

If the former, it's at least as onerous as the BSD advertising clause.
If the latter, I don't think it's a problem.

>                                      Users may copy or modify Sun RPC
>           without charge, but are not authorized to license or
>           distribute it to anyone else except as part of a product or
>           program developed by the user.

This violates DFSG 1 and arguably DFSG 5.

It might skate through DFSG 1's backwards-bent wording if the sentence
stopped at "part of a product or program".

But it doesn't stop there.  You can't redistribute this code unless you
develop with it.  This requires distributors to be software developers,
not ordinary joes who've never written a line of code in their lives.

>           SUN RPC IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND
>           INCLUDING THE WARRANTIES OF DESIGN, MERCHANTIBILITY AND
>           FITNESS FOR A PARTICULAR PURPOSE, OR ARISING FROM A COURSE OF
>           DEALING, USAGE OR TRADE PRACTICE.

Okay.

>           Sun RPC is provided with no support and without any
>           obligation on the part of Sun Microsystems, Inc. to assist in
>           its use, correction, modification or enhancement.

Okay.

>           SUN MICROSYSTEMS, INC. SHALL HAVE NO LIABILITY WITH RESPECT
>           TO THE INFRINGEMENT OF COPYRIGHTS, TRADE SECRETS OR ANY
>           PATENTS BY SUN RPC OR ANY PART THEREOF.

Okay.

>           In no event will Sun Microsystems, Inc. be liable for any
>           lost revenue or profits or other special, indirect and
>           consequential damages, even if Sun has been advised of the
>           possibility of such damages.

Okay.

For reference:

1. Free Redistribution

The license of a Debian component may not restrict any party from
selling or giving away the software as a component of an aggregate
software distribution containing programs from several different
sources. The license may not require a royalty or other fee for such
sale.

5.  No Discrimination Against Persons or Groups

The license must not discriminate against any person or group of
persons.

9. License Must Not Contaminate Other Software

The license must not place restrictions on other software that is
distributed along with the licensed software. For example, the license
must not insist that all other programs distributed on the same medium
must be free software.

-- 
G. Branden Robinson                |    I had thought very carefully about
Debian GNU/Linux                   |    committing hara-kiri over this, but
branden@debian.org                 |    I overslept this morning.
http://people.debian.org/~branden/ |    -- Toshio Yamaguchi
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Henning Makholm <henning@makholm.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #118 received at 181493@bugs.debian.org (full text, mbox):

From: Henning Makholm <henning@makholm.net>
To: debian-legal@lists.debian.org, 181493@bugs.debian.org
Subject: Re: Is the Sun RPC License DFSG-free?
Date: 23 Aug 2003 00:04:26 +0200
Scripsit Don Armstrong <don@donarmstrong.com>

> > 		Copyright (C) 1984, Sun Microsystems, Inc.

> >           Users may copy or modify Sun RPC without charge, but are
> >	    not authorized to license or distribute it to anyone else
> >	    except as part of a product or program developed by the
> >	    user.

> I'm personally concerned about this particular phrase, as it seems to
> preclude Debian from distributing software with Sun RPC in it unless
> Debian itself is developing the product or program using Sun RPC.

Does it even allow Debian's mirror operators to redistribute Debian if
Sun RPC is included? Assume the mirror operator never develop any
programs himself.

-- 
Henning Makholm                              "En tapper tinsoldat. En dame i
                                         spagat. Du er en lykkelig mand ..."



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #123 received at 181493@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: debian-legal@lists.debian.org
Cc: 181493@bugs.debian.org
Subject: Re: Is the Sun RPC License DFSG-free?
Date: Fri, 22 Aug 2003 17:40:30 -0700
[Message part 1 (text/plain, inline)]
On Sat, 23 Aug 2003, Henning Makholm wrote:
> Scripsit Don Armstrong <don@donarmstrong.com>
>>> 		Copyright (C) 1984, Sun Microsystems, Inc.
>>> 
>>>           Users may copy or modify Sun RPC without charge, but are
>>>	    not authorized to license or distribute it to anyone else
>>>	    except as part of a product or program developed by the
>>>	    user.
> 
>> I'm personally concerned about this particular phrase, as it seems to
>> preclude Debian from distributing software with Sun RPC in it unless
>> Debian itself is developing the product or program using Sun RPC.
> 
> Does it even allow Debian's mirror operators to redistribute Debian
> if Sun RPC is included? Assume the mirror operator never develop any
> programs himself.

I was concerned about that as well. I think it would be ok if they
were acting as an agent of Debian, but unoficial mirrors might be SOL.
[But then again, I am not a lawyer, so cum grano solis.]


Don Armstrong

-- 
Any excuse will serve a tyrant.
 -- Aesop

http://www.donarmstrong.com
http://www.anylevel.com
http://rzlab.ucr.edu
[Message part 2 (application/pgp-signature, inline)]

Reply sent to debian-legal@lists.debian.org:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #128 received at 181493-done@bugs.debian.org (full text, mbox):

From: Anthony Towns <aj@azure.humbug.org.au>
To: 181493-done@bugs.debian.org
Cc: debian-legal@lists.debian.org
Subject: SUN RPC code is DFSG-free
Date: Sat, 23 Aug 2003 18:50:19 +1000
[Message part 1 (text/plain, inline)]
Hello,

> This explanation is unsatisfactory. I think that the Sun RPC code is
> non-free, and I want an opinion from debian-legal.

The Sun RPC code is DFSG-free, and has been for eons. This bug is, again,
closed with this message. Addressing particular concerns raised:

> >                                                  that this legend is
> >           included on all tape media and as a part of the software
>             ^^^^^^^^^^^^^^^^^^^^^^^^^^
> That seems worse than the advertising clause.

If it were referring to all tape media everywhere, perhaps it would
be. That's not a reasonable interpretation, however. If it limited it
to being written on the casing of the tape media, rather than encoded
on the media itself, perhaps it would be too, but it doesn't.

> Isn't this whole thing incompatible with the (L)GPL anyway? The code
> in question has been highly modified and integrated into the glibc
> source tree, presumably with the modifications under the LGPL,

It's not appropriate to presume so as to make things illegal. If there's
a valid interpretation that makes things legal, then that should be
the default. Only if there are no such valid interpretations, or if the
copyright holder states their interpretation, is it appropriate to worry
about this.

> I'm personally concerned about this particular phrase, as it seems to
> preclude Debian from distributing software with Sun RPC in it unless
> Debian itself is developing the product or program using Sun RPC.

Which we are, viz "The Debian Distribution".

> A distributes a program developed by A based on Sun RPC to B.
> B cannot turn around distribute the program to C unless they repackage
> it as a product or program developed by B.

This isn't the case: A may "license or distribute it to anyone [..] as part
of a product or program developed by [A]", and thus may provide a license to
all comers, including C.

> Sun has repeatedly clarified elsewhere that the intent of this is
> essentially "MIT/X11, except you may not distribute this product
> alone."

Not being able to distribute the original Sun RPC code alone is not a
problem, so long as we're able to distribute any variants of it that
we may actually want. If you're really concerned about other possible
caveats, please feel free to contact Sun to work on getting a clarified
license. However as it stands, the license passes the DFSG at least as
well as, eg, the Artistic license does.

Cheers,
aj

-- 
Anthony Towns <aj@humbug.org.au> <http://azure.humbug.org.au/~aj/>
I don't speak for anyone save myself. GPG signed mail preferred.

       ``Is this some kind of psych test?
                      Am I getting paid for this?''
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #133 received at 181493@bugs.debian.org (full text, mbox):

From: "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>
To: 181493@bugs.debian.org, Debian BTS Control Daemon <control@bugs.debian.org>
Cc: aj@azure.humbug.org.au
Subject: Reopen
Date: Sat, 23 Aug 2003 20:34:59 +0000
[Message part 1 (text/plain, inline)]
reopen 181493
thanks

I am reopening this again. Until debian-legal has decided one way or
another, this is staying open.

-- 
Brian M. Carlson <sandals@crustytoothpaste.ath.cx> 0x560553e7
"Let us think the unthinkable, let us do the undoable. Let us prepare
 to grapple with the ineffable itself, and see if we may not eff it
 after all." --Douglas Adams
[Message part 2 (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Anthony Towns <aj@azure.humbug.org.au>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #140 received at 181493-done@bugs.debian.org (full text, mbox):

From: Anthony Towns <aj@azure.humbug.org.au>
To: "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>
Cc: 181493-done@bugs.debian.org
Subject: Re: Reopen
Date: Sun, 24 Aug 2003 14:16:03 +1000
On Sat, Aug 23, 2003 at 08:34:59PM +0000, Brian M. Carlson wrote:
> reopen 181493
> thanks
> 
> I am reopening this again. Until debian-legal has decided one way or
> another, this is staying open.

Until you've presented stronger evidence than "I think this is a bug",
there is no reason to think it is a bug. Do your homework first, then
reopen it. In the meantime, stop wasting other people's time.

Cheers,
aj

-- 
Anthony Towns <aj@humbug.org.au> <http://azure.humbug.org.au/~aj/>
I don't speak for anyone save myself. GPG signed mail preferred.

       ``Is this some kind of psych test?
                      Am I getting paid for this?''




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #145 received at 181493@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 181493@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: SUN RPC code is DFSG-free
Date: Sun, 24 Aug 2003 16:20:31 -0500
[Message part 1 (text/plain, inline)]
On Sat, Aug 23, 2003 at 06:50:19PM +1000, Anthony Towns wrote:
> > I'm personally concerned about this particular phrase, as it seems to
> > preclude Debian from distributing software with Sun RPC in it unless
> > Debian itself is developing the product or program using Sun RPC.
> 
> Which we are, viz "The Debian Distribution".

...which means the license violates either DFSG 5, DFSG 6, or DFSG 8.

If the fact that we *are* "the Debian Project" or *are* a group of
"developers of products or programs" are facts that render us compliant
with the license, then the license is not DFSG-free.

Who you are, or what you do (apart from the copyright-protected
activity of distribution of the Work-in-Itself) does not matter to a
Free license.

If it does, the license is not Free.

If citing who we are or what we do is a defense to a claim of copyright
infringement, then the license is discriminatory.

-- 
G. Branden Robinson                |
Debian GNU/Linux                   |           If ignorance is bliss,
branden@debian.org                 |           is omniscience hell?
http://people.debian.org/~branden/ |
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #150 received at 181493@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: debian-legal@lists.debian.org
Cc: 181493@bugs.debian.org
Subject: Re: Bug#181493: SUN RPC code is DFSG-free
Date: Mon, 25 Aug 2003 09:43:38 +0200
* Branden Robinson (branden@debian.org) [030824 23:35]:
> On Sat, Aug 23, 2003 at 06:50:19PM +1000, Anthony Towns wrote:
> > > I'm personally concerned about this particular phrase, as it seems to
> > > preclude Debian from distributing software with Sun RPC in it unless
> > > Debian itself is developing the product or program using Sun RPC.
> > 
> > Which we are, viz "The Debian Distribution".
> 
> ...which means the license violates either DFSG 5, DFSG 6, or DFSG 8.

Wrong.

> If the fact that we *are* "the Debian Project" or *are* a group of
> "developers of products or programs" are facts that render us compliant
> with the license, then the license is not DFSG-free.

No. If the fact that we are the *Debian* Project would allow us the
use, it would violate DFSG 8. But in fact we're allowed to use it
because we are the Debian *Project*. This is _not_ Debian specific, as
we would also allowed to use it under the very same conditions if we
are a big money making company, or are the Gentoo Project, or ...

So, this license is specific to be used only as "part of a product or
programm". This is not worse than the Artistic License. There is no
hint or even proof that this License is Debian-specific, so it
complies to DFSG 8. (That I would like another license more is not
topic of discussion. Topic is whether the RPC-code complies to DFSG,
or if distribution glibc is a RC-bug.)


Cheers,
Andi
-- 
   http://home.arcor.de/andreas-barth/
   PGP 1024/89FB5CE5  DC F1 85 6D A6 45 9C 0F  3B BE F1 D0 C5 D1 D9 0C



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #155 received at 181493@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: debian-legal@lists.debian.org
Cc: Andreas Barth <aba@not.so.argh.org>, 181493@bugs.debian.org
Subject: Re: Bug#181493: SUN RPC code is DFSG-free
Date: Mon, 25 Aug 2003 01:26:22 -0700
[Message part 1 (text/plain, inline)]
On Mon, 25 Aug 2003, Andreas Barth wrote:
> So, this license is specific to be used only as "part of a product or
> programm". 

You're missing the key phrase on which Branden's argument (and mine)
is based on: 'developed by the user'

This phrase read conservatively (eg. reserving the rights not
specifically granted by the license to the copyright holder) indicates
that those who do not develop a product or a program containing SunRPC
do not have permision to license or distribute SunRPC code.

If someone can dig up where Sun clarifies the meaning of the license
to mean MIT/X11+not alone, (or better, just MIT/X11) that would
indicate that Sun was merely sloppy on the wording of the license.

Furthermore, as a slight nitpick, the 'part of a product or program
developed by the user' only applies to distribution or licensing, not
modification, copying, or use.


Don Armstrong

-- 
"There's no problem so large it can't be solved by killing the user
off, deleting their files, closing their account and reporting their
REAL earnings to the IRS."
 -- The B.O.F.H..

http://www.donarmstrong.com
http://www.anylevel.com
http://rzlab.ucr.edu
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to debian-legal@lists.debian.org:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #160 received at 181493@bugs.debian.org (full text, mbox):

From: Anthony Towns <aj@azure.humbug.org.au>
To: debian-legal@lists.debian.org
Subject: Re: Bug#181493: SUN RPC code is DFSG-free
Date: Tue, 26 Aug 2003 19:16:34 +1000
[Message part 1 (text/plain, inline)]
On Mon, Aug 25, 2003 at 01:26:22AM -0700, Don Armstrong wrote:
> On Mon, 25 Aug 2003, Andreas Barth wrote:
> > So, this license is specific to be used only as "part of a product or
> > programm". 
> You're missing the key phrase on which Branden's argument (and mine)
> is based on: 'developed by the user'
> 
> This phrase read conservatively 

...is not the author's intention, as indicated by second hand reports
of clarifications ("BSD, but can't use the original literally") by
the copyright holder, and the copyright holder's (lack of) response to
copious reuse and redistribution.

As far as L/GPL incompatibility is concerned, you'll note that Sun,
the copyright holders, specifically offer Linux systems that include
glibc with GPLed applications, and an LGPLed libc, to their customers.
See http://wwws.sun.com/software/linux/index.html .

If anyone on -legal believes clarifications are necessary or would
be helpful, please feel free to get them from Sun.

Cheers,
aj

-- 
Anthony Towns <aj@humbug.org.au> <http://azure.humbug.org.au/~aj/>
I don't speak for anyone save myself. GPG signed mail preferred.

       ``Is this some kind of psych test?
                      Am I getting paid for this?''
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #165 received at 181493@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: debian-legal@lists.debian.org, 181493@bugs.debian.org
Subject: Re: Bug#181493: SUN RPC code is DFSG-free
Date: Tue, 26 Aug 2003 15:15:05 -0500
[Message part 1 (text/plain, inline)]
On Tue, Aug 26, 2003 at 07:16:34PM +1000, Anthony Towns wrote:
> On Mon, Aug 25, 2003 at 01:26:22AM -0700, Don Armstrong wrote:
> > On Mon, 25 Aug 2003, Andreas Barth wrote:
> > > So, this license is specific to be used only as "part of a product or
> > > programm". 
> > You're missing the key phrase on which Branden's argument (and mine)
> > is based on: 'developed by the user'
> > 
> > This phrase read conservatively 
> 
> ...is not the author's intention, as indicated by second hand reports
> of clarifications ("BSD, but can't use the original literally") by
> the copyright holder, and the copyright holder's (lack of) response to
> copious reuse and redistribution.
[...]
> If anyone on -legal believes clarifications are necessary or would
> be helpful, please feel free to get them from Sun.

You ground your argument on "second hand reports of clarifications" in
the first quoted paragraph, but then expect debian-legal to furnish
first-hand clarifications?

Well, I haven't heard of any such clarification being made, so we're
down to the credibility of the claimants.

Who has asserted to you the existence of these "clarifications"?  Have
these people any stake in the existence of such claims?

The Sun RPC fails the DFSG on its face.  The burden of proof is on those
who claim it's been "clarified" to come up with evidence of such.

This is the converse of the old UWash Pine license issue, where UWash
took a license that was DFSG-free on its face and "interpreted" it in a
non-free way.

-- 
G. Branden Robinson                |      Never underestimate the power of
Debian GNU/Linux                   |      human stupidity.
branden@debian.org                 |      -- Robert Heinlein
http://people.debian.org/~branden/ |
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <asd@suespammers.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #170 received at 181493@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <asd@suespammers.org>
To: debian-legal@lists.debian.org
Cc: 181493@bugs.debian.org
Subject: Re: Bug#181493: SUN RPC code is DFSG-free
Date: 27 Aug 2003 11:07:00 -0400
[Message part 1 (text/plain, inline)]
> As far as L/GPL incompatibility is concerned, you'll note that Sun,
> the copyright holders, specifically offer Linux systems that include
> glibc with GPLed applications, and an LGPLed libc, to their customers.
> See http://wwws.sun.com/software/linux/index.html .

You should also note that SCO does (or at least did) offer copies of the
Linux kernel to both their customers and to the world at large, under
the GPL.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@netexpress.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #175 received at 181493@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@netexpress.net>
To: debian-legal@lists.debian.org
Cc: 181493@bugs.debian.org
Subject: Re: Bug#181493: SUN RPC code is DFSG-free
Date: Wed, 27 Aug 2003 11:35:57 -0500
[Message part 1 (text/plain, inline)]
On Wed, Aug 27, 2003 at 11:07:00AM -0400, Anthony DeRobertis wrote:
> > As far as L/GPL incompatibility is concerned, you'll note that Sun,
> > the copyright holders, specifically offer Linux systems that include
> > glibc with GPLed applications, and an LGPLed libc, to their customers.
> > See http://wwws.sun.com/software/linux/index.html .

> You should also note that SCO does (or at least did) offer copies of the
> Linux kernel to both their customers and to the world at large, under
> the GPL.

Are you saying that the Sun code should be regarded as infringing solely
because SCO is a company controlled by litigious, opportunistic bastards
who have no qualms about filing suits with no legal basis for no other
reason than to jack up their stock price and give themselves an out from
a company with no marketable assets?

Not a position that holds much promise for the future of Free Software
in general.

-- 
Steve Langasek
postmodern programmer
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <asd@suespammers.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #180 received at 181493@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <asd@suespammers.org>
To: debian-legal@lists.debian.org, 181493@bugs.debian.org
Subject: Re: Bug#181493: SUN RPC code is DFSG-free
Date: Fri, 29 Aug 2003 17:07:31 -0400
On Wednesday, Aug 27, 2003, at 12:35 US/Eastern, Steve Langasek wrote:
>
> Are you saying that the Sun code should be regarded as infringing 
> solely
> because SCO is a company controlled by litigious, opportunistic 
> bastards
> who have no qualms about filing suits with no legal basis for no other
> reason than to jack up their stock price and give themselves an out 
> from
> a company with no marketable assets?

No, I'm saying that companies change. SCO didn't use to be like that. 
SCO used to be Caldera, which had bought the original SCO. The original 
SCO used, AFAIK, reputable tactics to sell its version of Unix.

Companies will do what best suites their share holders. We shouldn't 
rely on corporate goodwill to protect us; instead, we should rely on 
legal documents like licenses.




Bug reopened, originator not changed. Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Jakob Bohm <jbj@image.dk>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #187 received at 181493@bugs.debian.org (full text, mbox):

From: Jakob Bohm <jbj@image.dk>
To: 181493@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Is the Sun RPC License DFSG-free?
Date: Sun, 31 Aug 2003 19:33:26 +0200
IANAL, TINLA, IANADD

But here is my blow by blow interpretation, which makes glibc DFSG free.

On Fri, Aug 22, 2003 at 06:39:47AM +0000, Brian M. Carlson wrote:
> 
> 		Copyright (C) 1984, Sun Microsystems, Inc.
> 
>           Sun RPC is a product of Sun Microsystems, Inc. and is
>           provided for unrestricted use provided that this legend is
>           included on all tape media
            ^^^^^^^^^^^^^^^^^^^^^^^^^^

This is a standard clause, which *does* refer to external, human
readable text on the media containing the work in question.  /me
thinks that at some point in time, some legal jurisdiction had
(or still has) a legal theory that the license or copyright does
not stick, unless it is clearly visible to whomever picks up the
tape or CD and considers putting it in the machine.

However I think it is commonly acceptable practice to just
include a summary label like: "Debian is Copyright (C) 19xx,2003
by many contributors, see the /usr/share/doc/*/copyright files
inside for details and restrictions". (Where 19xx is the oldest
copyright year of any included files with non-expired
copyright).

>                                      and as a part of the software
>           program in whole or part.  Users may copy or modify Sun RPC
>           without charge, 
            ^^^^^^^^^^^^^^
That usually means you don't have to pay Sun for the privilege, good!            
        
>                           but are not authorized to license or
>           distribute it to anyone else except as part of a product or
>           program developed by the user.

I interpret that to mean that once the RPC code has been
included in a larger program or product (say glibc), then the
further use,distribution etc. of that program is only restricted
by the license applied thereto by that user (in this case the
LGPL applied thereto by the FSF).

Thus this only sticks if you seperate Sun RPC from glibc without
putting it in another program (as you do if linking statically
to glibc and only Sun RPC happens to be extracted from the .a
file).

Thus for the RPC in glibc this restriction only applies if you
manually extract Sun RPC from glibc and then try to distribute
that all alone.  The right to do that is NOT required by DFSG 1.

> 
>           SUN RPC IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND
>           INCLUDING THE WARRANTIES OF DESIGN, MERCHANTIBILITY AND
>           FITNESS FOR A PARTICULAR PURPOSE, OR ARISING FROM A COURSE OF
>           DEALING, USAGE OR TRADE PRACTICE.
> 
>           Sun RPC is provided with no support and without any
>           obligation on the part of Sun Microsystems, Inc. to assist in
>           its use, correction, modification or enhancement.
> 
>           SUN MICROSYSTEMS, INC. SHALL HAVE NO LIABILITY WITH RESPECT
>           TO THE INFRINGEMENT OF COPYRIGHTS, TRADE SECRETS OR ANY
>           PATENTS BY SUN RPC OR ANY PART THEREOF.
> 
>           In no event will Sun Microsystems, Inc. be liable for any
>           lost revenue or profits or other special, indirect and
>           consequential damages, even if Sun has been advised of the
>           possibility of such damages.
> 

Just the usual warranty disclaimer.


-- 
This message is hastily written, please ignore any unpleasant wordings,
do not consider it a binding commitment, even if its phrasing may
indicate so. Its contents may be deliberately or accidentally untrue.
Trademarks and other things belong to their owners, if any.



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Jeremy Hankins <nowan@nowan.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #192 received at 181493@bugs.debian.org (full text, mbox):

From: Jeremy Hankins <nowan@nowan.org>
To: 181493@bugs.debian.org
Cc: debian-legal@lists.debian.org
Subject: Re: Is the Sun RPC License DFSG-free?
Date: Tue, 02 Sep 2003 13:12:37 -0400
Jakob Bohm <jbj@image.dk> writes (quoting the Sun RPC license):

>>                           but are not authorized to license or
>>           distribute it to anyone else except as part of a product or
>>           program developed by the user.
>
> I interpret that to mean that once the RPC code has been
> included in a larger program or product (say glibc), then the
> further use,distribution etc. of that program is only restricted
> by the license applied thereto by that user (in this case the
> LGPL applied thereto by the FSF).

If so, it is now possible to remove all the non-Sun-RPC bits from
glibc and distribute it, modify it, whatever, just as if it were under
the GPL.  This interpretation seems reasonable to me.  Given that Sun
is distributing glibc (under the GPL) it seems entirely reasonable to
interpret the license this way.

> Thus this only sticks if you seperate Sun RPC from glibc without
> putting it in another program (as you do if linking statically
> to glibc and only Sun RPC happens to be extracted from the .a
> file).

Here you seem to be contradicting the above, though, so I don't know
that I understand what you're saying.

> Thus for the RPC in glibc this restriction only applies if you
> manually extract Sun RPC from glibc and then try to distribute
> that all alone.  The right to do that is NOT required by DFSG 1.

Sure.  DFSG #1 doesn't require the ability to modify at all.  You may
be interested in #3, though, which this definitely *would* run afoul
of.

-- 
Jeremy Hankins <nowan@nowan.org>
PGP fingerprint: 748F 4D16 538E 75D6 8333  9E10 D212 B5ED 37D0 0A03



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Fedor Zuev <Fedor_zuev@mail.ru>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #197 received at 181493@bugs.debian.org (full text, mbox):

From: Fedor Zuev <Fedor_zuev@mail.ru>
To: debian-legal@lists.debian.org
Cc: 181493@bugs.debian.org
Subject: Re: Is the Sun RPC License DFSG-free?
Date: Wed, 3 Sep 2003 19:32:06 +0900 (IRKST)
On Tue, 2 Sep 2003, Jeremy Hankins wrote:

>Jakob Bohm <jbj@image.dk> writes (quoting the Sun RPC license):

>>>                           but are not authorized to license or
>>>           distribute it to anyone else except as part of a product or
>>>           program developed by the user.
>>
>> I interpret that to mean that once the RPC code has been
>> included in a larger program or product (say glibc), then the
>> further use,distribution etc. of that program is only restricted
>> by the license applied thereto by that user (in this case the
>> LGPL applied thereto by the FSF).

>If so, it is now possible to remove all the non-Sun-RPC bits from
>glibc and distribute it, modify it, whatever, just as if it were
>under the GPL.

No. GPL does not allow you to do that. It only allow (and require)
you to copy  and distribute under GPL any work, "based" on the
original GPL-ed work. Sun RPC is not work, based on GLIBC,
regardless of source you receive it  from.




Reply sent to Anthony Towns <ajt@master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #202 received at 181493-done@bugs.debian.org (full text, mbox):

From: Anthony Towns <ajt@master.debian.org>
To: 181493-done@bugs.debian.org
Subject: close
Date: Thu, 04 Sep 2003 02:11:18 -0500
What fun.



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Anthony Towns <aj@azure.humbug.org.au>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #207 received at 181493@bugs.debian.org (full text, mbox):

From: Anthony Towns <aj@azure.humbug.org.au>
To: Branden Robinson <branden@debian.org>
Cc: debian-legal@lists.debian.org, 181493@bugs.debian.org
Subject: Re: Bug#181493: SUN RPC code is DFSG-free
Date: Thu, 4 Sep 2003 17:17:28 +1000
[Message part 1 (text/plain, inline)]
On Tue, Aug 26, 2003 at 03:15:05PM -0500, Branden Robinson wrote:
> You ground your argument on "second hand reports of clarifications" in
> the first quoted paragraph, but then expect debian-legal to furnish
> first-hand clarifications?

Yes. If you're too lazy to be bothered doing that, don't expect anyone
else -- either the release manager nor the glibc maintainers -- to care
about your ravings.

> The burden of proof is on those
> who claim it's been "clarified" to come up with evidence of such.

No, the burden of proof is on those who advocate a change, and it's not
been met.

Cheers,
aj

-- 
Anthony Towns <aj@humbug.org.au> <http://azure.humbug.org.au/~aj/>
I don't speak for anyone save myself. GPG signed mail preferred.

       ``Is this some kind of psych test?
                      Am I getting paid for this?''
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #212 received at 181493@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: debian-legal@lists.debian.org
Cc: 181493@bugs.debian.org
Subject: Re: Bug#181493: SUN RPC code is DFSG-free
Date: Thu, 4 Sep 2003 14:48:29 -0500
[Message part 1 (text/plain, inline)]
On Thu, Sep 04, 2003 at 05:17:28PM +1000, Anthony Towns wrote:
> On Tue, Aug 26, 2003 at 03:15:05PM -0500, Branden Robinson wrote:
> > You ground your argument on "second hand reports of clarifications" in
> > the first quoted paragraph, but then expect debian-legal to furnish
> > first-hand clarifications?
> 
> Yes. If you're too lazy to be bothered doing that, don't expect anyone
> else -- either the release manager nor the glibc maintainers -- to care
> about your ravings.
> 
> > The burden of proof is on those
> > who claim it's been "clarified" to come up with evidence of such.
> 
> No, the burden of proof is on those who advocate a change, and it's not
> been met.

Ah, so in general, when people find a flagrant DFSG violation in main,
the best thing they can do is just leave it alone.  Otherwise, it's a
"change", and past inclusion is always sufficient present for future
retention.

Got it.

-- 
G. Branden Robinson                |    If a man ate a pound of pasta and a
Debian GNU/Linux                   |    pound of antipasto, would they
branden@debian.org                 |    cancel out, leaving him still
http://people.debian.org/~branden/ |    hungry?              -- Scott Adams
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Anthony Towns <aj@azure.humbug.org.au>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #217 received at 181493@bugs.debian.org (full text, mbox):

From: Anthony Towns <aj@azure.humbug.org.au>
To: debian-legal@lists.debian.org
Cc: 181493@bugs.debian.org
Subject: Re: Bug#181493: SUN RPC code is DFSG-free
Date: Fri, 5 Sep 2003 17:08:44 +1000
On Thu, Sep 04, 2003 at 02:48:29PM -0500, Branden Robinson wrote:
> Ah, so in general, when people find a flagrant DFSG violation in main,
> the best thing they can do is just leave it alone.  Otherwise, it's a
> "change", and past inclusion is always sufficient present for future
> retention.

No, the best thing to do is to *contact the upstream copyright holder*.
That's true whether it's flagrant or not, and given neither myself nor
the glibc maintainers are convinced, it's hardly clear that it is.

Cheers,
aj

-- 
Anthony Towns <aj@humbug.org.au> <http://azure.humbug.org.au/~aj/>
I don't speak for anyone save myself. GPG signed mail preferred.

       ``Is this some kind of psych test?
                      Am I getting paid for this?''




Information stored:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #222 received at 181493-quiet@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: glibc@packages.debian.org, ajt@debian.org
Cc: debian-legal@lists.debian.org, 181493-quiet@bugs.debian.org
Subject: Re: Bug#181493: SUN RPC code is DFSG-free
Date: Fri, 5 Sep 2003 02:20:02 -0500
[Message part 1 (text/plain, inline)]
[Mailing Debian glibc package maintainers and Debian Release Manager in
their official capacities.  My apolgies for the duplicate for those of
you who are also subscribed to debian-legal, which is CCed.]

On Thu, Sep 04, 2003 at 05:17:28PM +1000, Anthony Towns wrote:
[...]
> No, the burden of proof is on those who advocate a change, and it's not
> been met.

I wish you had been more forthcoming with your understanding of the
removal of DFSG-non-free works from main way back around
<URL:
http://lists.debian.org/debian-ctte/2001/debian-ctte-200108/msg00000.html
>.

The fact that I could cite the presence of the DFSG-non-free chunk of
XFree86 source in Debian main all the way back (AFAIK) to its very first
packaging for the Debian Project as precedent for its retention would
definitely have saved us all an irritating flamewar.

To recapitulate:
* The Sun RPC license fails the DFSG on its face, as it withholds
  essential freedoms from people who do not develop software using it
  for themselves.
* No advocate of an alternative interpretation of this license which
  would render it DFSG-free has been able to do better that cite
  second-rumors of some sort of clarification being made in the past,
  somewhere.
* To date, at least in the logs of this bug report as far as
  I can tell, no advocate of retaining the SUN RPC code in Debian main
  has identified a single person from whom this license-clarifying
  hearsay was uttered, which makes it impossible to verify even the fact
  that such claims were made.
* Former inclusion of a DFSG-non-free work in Debian main due to
  ignorance was not a good enough reason to retain it there in August
  2001, and to my knowledge we haven't changed our Social Contract such
  that it is now.

Given the above, all we have are bare assertions that the SUN RPC code
is somehow DFSG-free despite its explicit terms, and all questions as to
how exactly this is so have been dismissed as unimportant.

This is no way to run a railroad, or a Free Software distribution.

Is any member of the GNU C Library maintenance team in Debian attempting
to research this problem via their upstream contacts?  If not, do any
members of this team object to another Debian Developer doing so?

For the Release Manager: What standard do you set for the repudiation of
the aforementioned hearsay?  You are placing the Developers in the
interesting posititon of proving a negative, and obviously we cannot
poll everyone in the world who's ever had anything to do with the SUN
RPC license or the conditions of its inclusion in the GNU C Library
(this is mainly due to the low likelihood that a comprehensive list of
such people can be made).

For example, which of the following (either singly or in combination)
would serve as repudiation of the alleged license clarification?:

* Sun Microsystems, Inc. asserts that the license terms under which the
  code appears in the GNU C Library are the only ones under which the
  code is available;
* A person with commit rights to the GNU C Library source repository
  upstream asserts that no such clarification has been made;
* No person with commit rights to the GNU C Library source repository
  who responds to our queries is able to claim firsthand knowledge of
  any such clarification;
* Every person who has ever had commit rights to the GNU C Library
  source repository swears out an affidavit that they know of no other
  terms under which the SUN RPC code is available for distribution with
  the GNU C Library.

(Feel free to add your own criteria; as with many endeavors to prove a
negative, such a list is going to be open-ended.)

-- 
G. Branden Robinson                |       The only way to get rid of a
Debian GNU/Linux                   |       temptation is to yield to it.
branden@debian.org                 |       -- Oscar Wilde
http://people.debian.org/~branden/ |
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #227 received at 181493@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: debian-legal@lists.debian.org
Cc: Andreas Barth <aba@not.so.argh.org>, 181493@bugs.debian.org
Subject: Re: Bug#181493: SUN RPC code is DFSG-free
Date: Mon, 8 Sep 2003 10:51:48 -0500
[Message part 1 (text/plain, inline)]
On Mon, Sep 08, 2003 at 01:34:54PM +0200, Andreas Barth wrote:
> This would lead to the following code in stable (whichever release
> name stable is, release name in []):
>     now         Oct 03      Dez 03       Oct 04
> 1   sun[woody]  sun[woody]  sun[sarge]   sun[sarge+1]
> 2   sun[woody]  sun[woody]  sun[sarge]   new[sarge+1]
> 3   sun[woody]  sun[woody]  sun[woody]   new[sarge]
> 4   sun[woody]  sun[woody]  none[sarge]  new[sarge+1]
> 5   sun[woody]  none[woody] none[sarge]  new[sarge+1]

Your analysis presumes that the act of releasing is not meaningful.

Of course the old (presumably, for the sake of argument) non-DFSG-free
code will continue to be available in old product.

We didn't know it was non-DFSG-free then.  We do now.

If we make a release containing this non-DFSG-free code at any point
after our awareness of this fact has been established, then we are
*knowingly* violating clause one of the Social Contract, instead of
unknowingly violating it.

I regard that as a significant distinction.  I guess you don't.

In other news, Manoj Srivastava has pointed out that an alternative
implementation of RPC, DCE RPC, has been released under the LGPL.  He
knows more about its feature set than I do, though, so I'll let him
speak to that.

-- 
G. Branden Robinson                |       The software said it required
Debian GNU/Linux                   |       Windows 3.1 or better, so I
branden@debian.org                 |       installed Linux.
http://people.debian.org/~branden/ |
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #232 received at 181493@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: debian-legal@lists.debian.org
Cc: 181493@bugs.debian.org
Subject: Re: Bug#181493: SUN RPC code is DFSG-free
Date: Mon, 8 Sep 2003 18:54:18 +0200
* Branden Robinson (branden@debian.org) [030908 18:05]:
> On Mon, Sep 08, 2003 at 01:34:54PM +0200, Andreas Barth wrote:
> > This would lead to the following code in stable (whichever release
> > name stable is, release name in []):
> >     now         Oct 03      Dez 03       Oct 04
> > 1   sun[woody]  sun[woody]  sun[sarge]   sun[sarge+1]
> > 2   sun[woody]  sun[woody]  sun[sarge]   new[sarge+1]
> > 3   sun[woody]  sun[woody]  sun[woody]   new[sarge]
> > 4   sun[woody]  sun[woody]  none[sarge]  new[sarge+1]
> > 5   sun[woody]  none[woody] none[sarge]  new[sarge+1]

> Your analysis presumes that the act of releasing is not meaningful.

My analysis just says what a user gets when using debian stable main.

I count what actually happens. Not what code name is shown.


> If we make a release containing this non-DFSG-free code at any point
> after our awareness of this fact has been established, then we are
> *knowingly* violating clause one of the Social Contract, instead of
> unknowingly violating it.
> 
> I regard that as a significant distinction.  I guess you don't.

I do make this destinction. But the discussed question is not: Are we
going to release sarge now, but without Sun RPC?

But we discuss: Are we delaying sarge for a long time periode so that
there can be other RPC-code included in sarge. And I wish that we just
release twice instead of delaying sarge. Our users would get the free
code as fast as with only releasing once, but have the advantages of
sarge earlier.

Even if we cannot agree, I hope that you admit that I don't want to
compromise the freeness of Debian. But that we're measuring "freeness" on
different occasions: I just don't measure it only on the date doing the
release, but what a users gets on any day with software from stable/main.


> In other news, Manoj Srivastava has pointed out that an alternative
> implementation of RPC, DCE RPC, has been released under the LGPL.  He
> knows more about its feature set than I do, though, so I'll let him
> speak to that.

If there is a implementation available that can be implemented in the
release time for sarge, that would be great news.



Cheers,
Andi
-- 
   http://home.arcor.de/andreas-barth/
   PGP 1024/89FB5CE5  DC F1 85 6D A6 45 9C 0F  3B BE F1 D0 C5 D1 D9 0C



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #237 received at 181493@bugs.debian.org (full text, mbox):

From: "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>
To: 181493@bugs.debian.org, Debian BTS Control Daemon <control@bugs.debian.org>
Subject: Re: Bug#181493 acknowledged by developer (close)
Date: Wed, 10 Sep 2003 05:36:01 +0000
[Message part 1 (text/plain, inline)]
reopen 181493
thanks, control, and have a nice day

On Thu, Sep 04, 2003 at 02:18:25AM -0500, Debian Bug Tracking System wrote:
> This is an automatic notification regarding your Bug report
> #181493: glibc: Sun RPC code is non-free,
> which was filed against the glibc package.
> 
> It has been closed by one of the developers, namely
> Anthony Towns <ajt@master.debian.org>.
> 
> Their explanation is attached below.  If this explanation is
> unsatisfactory and you have not received a better one in a separate
> message then please contact the developer, by replying to this email.

Once again, this explanation is unsatisfactory. There is enough
controversy on -legal to warrant keeping this bug open. I'm sorry if
this will prevent you from releasing on December 1, but that's not my
problem. This was supposed to be fixed in March, and it has sat open for
nine months, which is a long time for a serious bug. If this package
were not required for the everyday operation of the Debian system, I
would have cloned this bug to ftp.debian.org to have glibc removed by
now.

If you do not wish to fix this bug for the sarge release, you have the
choices of tagging it sarge-ignore (if you just want to release one
non-free release) or wontfix (if you really think the Sun RPC code is
free software or if you don't care about the Social Contract).

I have (somewhat) preliminary XDR code, if this is desired. If someone
wants it, they should let me know, and I'll post it somewhere.

As for my part in the release, I will start working on a patch to
remove the non-free code from glibc.

> Debian bug tracking system administrator
> (administrator, Debian Bugs database)
> 
> Received: (at 181493-done) by bugs.debian.org; 4 Sep 2003 07:11:20 +0000
> >From ajt@master.debian.org Thu Sep 04 02:11:18 2003
> Return-path: <ajt@master.debian.org>
> Received: from ajt by master.debian.org with local (Exim 3.35 1 (Debian))
> 	id 19uoH0-0007JP-00; Thu, 04 Sep 2003 02:11:18 -0500
> To: 181493-done@bugs.debian.org
> Subject: close
> Message-Id: <E19uoH0-0007JP-00@master.debian.org>
> From: Anthony Towns <ajt@master.debian.org>
> Date: Thu, 04 Sep 2003 02:11:18 -0500
> Delivered-To: 181493-done@bugs.debian.org
> X-Spam-Status: No, hits=3.0 required=4.0
> 	tests=BAYES_70,OUR_MTA_MSGID
> 	version=2.53-bugs.debian.org_2003_8_27
> X-Spam-Level: ***
> X-Spam-Checker-Version: SpamAssassin 2.53-bugs.debian.org_2003_8_27 (1.174.2.15-2003-03-30-exp)
> 
> What fun.

-- 
Brian M. Carlson <sandals@crustytoothpaste.ath.cx> 0x560553e7
"Let us think the unthinkable, let us do the undoable. Let us prepare
 to grapple with the ineffable itself, and see if we may not eff it
 after all." --Douglas Adams
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #242 received at 181493@bugs.debian.org (full text, mbox):

From: "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>
To: 181493@bugs.debian.org, Debian BTS Control Daemon <control@bugs.debian.org>
Subject: reopen
Date: Tue, 7 Oct 2003 16:10:06 +0000
[Message part 1 (text/plain, inline)]
reopen 181493
thanks, control, and have a nice day

-- 
Brian M. Carlson <sandals@crustytoothpaste.ath.cx> 0x560553e7
"Let us think the unthinkable, let us do the undoable. Let us prepare
 to grapple with the ineffable itself, and see if we may not eff it
 after all." --Douglas Adams
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #247 received at 181493@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: 181493@bugs.debian.org
Subject: Release without RPC
Date: Wed, 22 Oct 2003 02:10:01 -0400
Andreas Barth wrote:
> I do make this destinction. But the discussed question is not: Are we
> going to release sarge now, but without Sun RPC?

And precisely why isn't that the discussed question?

RPC is an old, tired protocol which should not generally be used.  So 
release without it already.

--Nathanael





Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to "Francesco P. Lovergine" <frankie@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #252 received at 181493@bugs.debian.org (full text, mbox):

From: "Francesco P. Lovergine" <frankie@debian.org>
To: Nathanael Nerode <neroden@twcny.rr.com>, 181493@bugs.debian.org
Subject: Re: Bug#181493: Release without RPC
Date: Wed, 22 Oct 2003 13:45:42 +0200
On Wed, Oct 22, 2003 at 02:10:01AM -0400, Nathanael Nerode wrote:
> Andreas Barth wrote:
> >I do make this destinction. But the discussed question is not: Are we
> >going to release sarge now, but without Sun RPC?
> 
> And precisely why isn't that the discussed question?
> 
> RPC is an old, tired protocol which should not generally be used.  So 
> release without it already.
> 

RPC is used in portmap and so in NFS. Do you know another serious and 
common shared filesystem standard which is available for all unices?

-- 
Francesco P. Lovergine



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #257 received at 181493@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: "Francesco P. Lovergine" <frankie@debian.org>
Cc: 181493@bugs.debian.org
Subject: Re: Bug#181493: Release without RPC
Date: Wed, 22 Oct 2003 13:04:25 -0400
Francesco P. Lovergine wrote:
> On Wed, Oct 22, 2003 at 02:10:01AM -0400, Nathanael Nerode wrote:
> 
>>Andreas Barth wrote:
>>
>>>I do make this destinction. But the discussed question is not: Are we
>>>going to release sarge now, but without Sun RPC?
>>
>>And precisely why isn't that the discussed question?
>>
>>RPC is an old, tired protocol which should not generally be used.  So 
>>release without it already.
>>
> 
> 
> RPC is used in portmap and so in NFS. Do you know another serious and 
> common shared filesystem standard which is available for all unices?
Ick.  I guess if it's used in NFS we're stuck with it.  :-P

Not that NFS should be used generally either (fun with security holes!), 
but it is standard and unavoidable in a lot of places, and you're quite 
right that there isn't a good standard replacement.





Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Graham Wilson <graham@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #262 received at 181493@bugs.debian.org (full text, mbox):

From: Graham Wilson <graham@debian.org>
To: 181493@bugs.debian.org
Cc: debian-project@lists.debian.org, debian-debbugs@lists.debian.org
Subject: Re: Regaining Access to the Control Bot
Date: Fri, 7 Nov 2003 00:48:06 -0600
[Message part 1 (text/plain, inline)]
On Fri, Nov 07, 2003 at 04:13:24AM +0000, Colin Watson wrote:
> I'd recommend that the glibc close/reopen war in question be handled
> better from now on. Anthony did say "contact the upstream copyright
> holder", and I think it would be a *very good idea* for somebody to do
> that instead of further use of control@bugs as a debating stick. It's
> not meant to be used that way. There's been much hand-wringing about
> what kind of contact might be suitable, but as far as I can see no
> actual *action*, so it's all moot. That's really rather disappointing
> given the amount of energy otherwise expended on this bug.

Jeff said (albeit in Dec 2002) that he talking with upstream about this.

Jeff, has there been any progress with upstream as regards the
(supposedly non-free) Sun RPC code?

-- 
gram
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#181493; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #267 received at 181493@bugs.debian.org (full text, mbox):

From: "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>
To: debian-project@lists.debian.org, debian-debbugs@lists.debian.org
Cc: 181493@bugs.debian.org
Subject: Re: Regaining Access to the Control Bot
Date: Fri, 7 Nov 2003 23:57:06 +0000
[Message part 1 (text/plain, inline)]
On Fri, Nov 07, 2003 at 04:13:24AM +0000, Colin Watson wrote:
> I've (er, unilaterally) removed this ban until such time as somebody
> explains it properly, and preferably also sets some kind of time limit
> or conditions on it.

I thank you most gratefully.

> I'd recommend that the glibc close/reopen war in question be handled
> better from now on. Anthony did say "contact the upstream copyright
> holder", and I think it would be a *very good idea* for somebody to do
> that instead of further use of control@bugs as a debating stick. It's
> not meant to be used that way. There's been much hand-wringing about
> what kind of contact might be suitable, but as far as I can see no
> actual *action*, so it's all moot. That's really rather disappointing
> given the amount of energy otherwise expended on this bug.

I have made an effort to contact upstream. I am also actively working on
an implementation to replace the Sun RPC code in case that does not work
out. It is incomplete, but patches are being accepted. You can check it
out with the following command:

  svn co svn://crustytoothpaste.ath.cx/var/lib/svn/trunk/rpc

-- 
Brian M. Carlson <sandals@crustytoothpaste.ath.cx> 0x560553e7
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:27:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.